! "main" (cells 889 length 126 width 144 generation 0)
! Parabolic sawtooth
! Population is unbounded but does not tend to infinity; its graph as
! a function of time is a sawtooth with a parabolic envelope.
! The pattern works by repeating the following operation for each n>=0.
! A 4-glider salvo is sent southeast toward a block A, arriving in
! generation  20 n^2 + 144 n + a[n mod 3],  where  a[0]=a[2]=131  and
! a[1]=91.  Block A is pushed 1 unit southeast and another block, B, is
! created upstream from A.  Then, every 108 generations, 2 gliders hit B,
! pulling it 3 units northwest.  Eventually B gets deleted by a glider, at
! generation  20 n^2 + 180 n + b[n mod 3],  where  b[0]=193,  b[1]=223,
! and  b[2]=227.  Then another 4-glider salvo is sent toward A.
! The population is minimal around the time B is deleted.  (The minimum
! appears to be 1208 in generations  180 n^2 + 540 n + 210  and
! 180 n^2 + 660n + 450.)  The population is maximal around the time B is
! created:  there are about n/30 2-glider salvos on their way toward B
! around generation  t = 20 n^2 + 144 n, so the population is about
! n/3 ~ sqrt(t/180)  at this time.
! Dean Hickerson, drhickerson@ucdavis.edu  6/26/91
63k72h@!
27.......................OO
27.........................O
27............OO............O
27............O......O......O...........OO
27.........OO......O.O......O...........OOO
27.OO.....OOO.......OO.....O..............OO.O........O
27.O.......OO............OO...............O..O......O.O
27............O...........................OO.O.....O.O
27............OO........................OOO.......O..O...........OO
64.OO.........O.O...........O..........................OO
64.............O.O.....................................O
20............O.O............................................O
20...........O..O
20.O........OO..........OO
19.O.O5.OO3.O8.O89.OO
19.OO.O6.OO100.O
7.OO..........OO.OO......O..O
7.O11.OO.O8.O.O79.O5.O
19.O.O81.OO8.O5.O
20.O23.O58.O10.O3.O
43.OO.......................................OO.............................OOO
43..........................................O
129.O.....O
42.O.OO17.O65.O5.O
42.O.O19.O65.O3.O
43.O16.O4.O..OO61.3O
43.OO........O......OO.O..O.O
43.OO......OO...........OO
43.OO.......OO...............................................OO...OO..........O
43..........................................................................O.O
43...........................................................O.....O.........OO
11.OO
11.O70.OO3.OO13.OO.OO
8.OO12.OO60.3O17.O
OO5.3O7.OO5.O10.O20.OO25.O3.O23.OO3.OO
O7.OO6.O.O6.O9.3O19.O26.O.O
11.O6.O6.O12.O18.O.O5.OO18.O26.O3.O
11.OO12.O11.OO19.OO7.O45.3O
24.O7.OO34.O8.OO34.3O
22.OO8.O.O33.O8.O53.OO3.OO
34.O.....O...........................O....................................OOO
34.OO3.3O25.O14.3O19.O3.O23.O3.O
25.OO11.O3.O10.O11.OO66.3O
25.O11.O.3O.O7.O.O28.O.O4.OO12.O5.O3.OO18.3O
11.O10.OO14.5O9.OO27.5O3.O13.OO3.OO3.O
11.O.O.......OOO........................................................OO...OO
11....OO......OO........................................................OO...OO
OO12.OO9.O6.OO58.O.O
O13.OO9.OO5.O.O57.OO21.O9.O7.OO
11.O.O20.O58.O21.O.O5.3O7.O
11.O11.O10.OO79.OO5.O
21.O.O98.OO
22.OO50.OO4.OO23.OO
37.OO35.O6.O23.O29.OO
38.O39.3O54.O
35.OOO........................................O............OOOO
35.O.................................O.O..................O.......OO
42.OO18.O7.OO18.O3.OO..O18.OO3.OO
41.O.O19.O6.O20.O..O22.OO3.OO
43.O.................OOO......................................................OOOOO
43.............................................................................O.O
43...OO
45.OO72.3O11.OO3.OO
45.OO86.OO3.OO
45.O88.5O
44.O.O61.OO25.O.O
44.O.OO........................................................OO..OO..OO
104.O...O..O.O.....................OOO
104.......OOO
45.OO..............O................................................OO
18.O.O........................O...............OOO
16.O3.O43.O53.O
9.OO5.O15.OO29.OO18.O33.3O
9.O5.O16.O..O45.O.O32.5O
16.O19.O6.OO31.O5.OO31.OO3.OO
16.O...O...............O......O......................O..........O
18.O.O15.O27.O3.O6.3O60.O
32.O..O28.5O68.3O
32.OO29.OO3.OO66.5O
64.OOOOO..................................................................OO...OO
22...O..................OO....................OOO
22.O.O...................OO....................O
12.OO6.OO12.OO7.O73.OO
11.O4.O3.OO12.O12.OO68.O
10.O4.OO3.OO25.O81.OO
OO8.O11.O.O103.3O9.OO
O9.O13.O102.O.O..O..OO3.O
11.O35.O31.OO46.OO..OO..O5.3O
12.OO32.OO.O29.O51.OO10.O
49.O
49.O...............OO..........................................................OO
46.O..O...............O...........................................................O
46..OO
46..............OO
59.O..O.............................................................OO.O
45.O.O15.O61.O.O
43.O3.O15.O6.OO54.O
43.O19.O6.O54.OO
36.OO4.O16.O..O62.OO
36.O6.O15.OO64.OO
...........................................O...O
.............................................O.O
...........................................................OO
.........OO................................................O
..........O
OO..........OO............OO
O11.3O10.O102.OO
12.OO10.O9.OO92.O.O
10.O13.O9.O95.O
9.OO13.O45.OO7.OO9.OO21.OO15.OO
25.O44.O9.O5.OO..OO..OO8.OO7.O
26.OO...........................................OOOOOOOOO......O...O..O.O........O
26...........................................OOO..OOOOO..OOO.........OOO
26...........................................O..O..OOO..O..O.........OO
26.........O..................................OO.........OO
26.......O.O
24.OO....OO...............OO
24.O.....OO................O..........................OO
24.......OO..................OO.......................OOO
24.........O.O...............OOO...........O............OO.O.....OO
24...........O...............OO...........OO............O..O.....O
24.........................O.............OO.............OO.O
24........................OO............OOO...........OOO
24.......................................OO...........OO
24........................................OO
24.........................................O
